# Class SlowQueryReport.QueryStats

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.SlowQueryReport.QueryStats

Enclosing class:
  `SlowQueryReport`

public static class SlowQueryReport.QueryStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryStats(String query)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(long invocationTime, long now)`
`boolean`
`equals(Object other)`
`void`
`failure(long invocationTime, long now)`
`CompositeDataSupport`
`getCompositeData(CompositeType type)`
`static String[]`
`getFieldDescriptions()`
`static String[]`
`getFieldNames()`
`static OpenType<?>[]`
`getFieldTypes()`
`long`
`getMaxInvocationDate()`
`long`
`getMaxInvocationTime()`
`long`
`getMinInvocationDate()`
`long`
`getMinInvocationTime()`
`int`
`getNrOfInvocations()`
`String`
`getQuery()`
`long`
`getTotalInvocationTime()`
`int`
`hashCode()`
`boolean`
`isOlderThan(SlowQueryReport.QueryStats other)`
`void`
`prepare(long invocationTime)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QueryStats

public QueryStats(String query)

## Method Details

### getFieldNames

public static String[] getFieldNames()

### getFieldDescriptions

public static String[] getFieldDescriptions()

### getFieldTypes

public static OpenType<?>[] getFieldTypes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getCompositeData

public CompositeDataSupport getCompositeData(CompositeType type) throws OpenDataException

Throws:
  `OpenDataException`

### prepare

public void prepare(long invocationTime)

### add

public void add(long invocationTime, long now)

### failure

public void failure(long invocationTime, long now)

### getQuery

public String getQuery()

### getNrOfInvocations

public int getNrOfInvocations()

### getMaxInvocationTime

public long getMaxInvocationTime()

### getMaxInvocationDate

public long getMaxInvocationDate()

### getMinInvocationTime

public long getMinInvocationTime()

### getMinInvocationDate

public long getMinInvocationDate()

### getTotalInvocationTime

public long getTotalInvocationTime()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### isOlderThan

public boolean isOlderThan(SlowQueryReport.QueryStats other)